package model.Asia

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import recipeappkmp.shared.generated.resources.opor_ayam
import kotlin.time.Duration

val seaList = listOf(
    Recipe(
        title = "Kecap Manis",
        description = "A Sweet, Sticky, Dark Soy Soy Sauce, used often in SEA cooking.",
        prepTime = Duration.parse("5h"),
        cookTime = Duration.parse("15m"),
        ingredients = listOf(
            "1 Cup Soy Sauce",
            "1.25 Cup Coconut Sugar",
            "1 Tbsp Molasses",
            "6 Cloves Garlic",
            "2 inch Piece Fresh Ginger",
            "2 Whole Star Anise",
            "2 Whole Clove",
        ),
        instructions = listOf(
            "Place all ingredients in a small saucepan and bring to a boil. Reduce the heat to medium-low and simmer uncovered, stirring frequently, until the Sugar is dissolved and Sauce begins to thicken, 10-15 minutes.",
            "Turn off the heat, cover and let cool completely with the spices, garlic and ginger still in it so they can continue to release their flavors.  Once cool, discard the pieces, pour the sauce into an airtight jar and store in the fridge.  It will keep for several weeks",
        ),
        tags = mapOf(
            "Sauce" to TagType.COURSE,
            "SEA" to TagType.CUISINE,
            "Savory" to TagType.FLAVOUR,
            "Sweet" to TagType.FLAVOUR,
            "Vegan" to TagType.CUISINE,
        ),
        servings = "About 1 Cup",
        image = Res.drawable._10_strawberries
    ),

    Recipe(
        title = "Opor Ayam",
        description = "Chicken with carmelised Onion in a rich coconut gravy.",
        prepTime = Duration.parse("8h"),
        cookTime = Duration.parse("40m"),
        servings = "Serves 4",
        ingredients = listOf(

            "HEADER-Marinade",
            "1.5kg Protein of Choice",
            "2 Cloves Garlic",
            "8 Shallots",
            "1 cm piece Turmeric Root",
            ".5 Tsp Black Pepper",
            "2 Tsp Coriander",
            "4 Candlenuts",
            ".5 Tsp Fennel",
            ".5 Tsp Cumin",
            "1.5 cm piece Ginger Root",
            "3 cm piece Galangal",

            "HEADER-Gravy",
            "1 Stalk Lemon Grass",
            "1 Cinnamon Stick",
            "1 Star Anise",
            "2 Daun Salam [Bay Leaves]",
            "100 ml Thick Coconut Milk",
            "300 ml Thin Coconut Milk",
            "1 Tbsp Tamarind Juice",
            "3 Lime Leaves",

            "HEADER-Finishing",
            "3 Shallots",
            "Salt",
            "1 Tsp Brown Sugar",
        ),
        instructions = listOf(

            "HEADER-Marinade",
            "Grind all of the Marinade ingredients with [1 Tbsp] of oil into a paste.",
            "Marinate Protein for several hours, up to overnight.",

            "HEADER-Curry",
            "Fry Shallots [3] in a wok until brown and crispy. Drain from Oil.",
            "Add Protein to Wok and Fry until Firm.",
            "Add the Lemon Grass [1 Stalk], Cinnamon Stick [1 Stick], Star Anise [1], Daun Salam [2], and Thin Coconut Milk [100 ml] and Simmer for 15-20 Minutes",
            "Add Tamarind Juice [1 Tbsp] and Thick Coconut Milk [300 ml]. Cook another 10-15 minutes. Halfway through, add Salt, Brown Sugar [1 Tsp], and Lime Leaves [3]",
            "Serve Garnished with Crispy Shallots",
        ),
        tags = mapOf(
            "Indonesian" to TagType.CUISINE,
            "SEA" to TagType.CUISINE,
            "Savory" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "Curry" to TagType.TECHNIQUE,
            "Vegan" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
        ),
        image = Res.drawable.opor_ayam,
    )
)