package model

import model.Americas.americanList
import model.Americas.brazilianList
import model.Americas.mexicanList
import model.Asia.chineseList
import model.Asia.indianList
import model.Asia.japaneseList
import model.Asia.koreanList
import model.Asia.seaList
import model.Europe.frenchList
import model.Europe.greekList
import model.Europe.irishList
import model.Europe.italianList
import model.MiddleEast.palestineList

object Globe {

    fun getAllRecipes() : List<Recipe> {
        return EuropeRecipes.getAllRecipes() +
                AsiaRecipes.getAllRecipes()  +
                NorthAmericaRecipes.getAllRecipes() +
                SouthAmericaRecipes.getAllRecipes() +
                MiddleEastRecipes.getAllRecipes() +
                AfricaRecipes.getAllRecipes()
    }
}

private object EuropeRecipes {

    private val frenchRecipes = frenchList
    private val irishRecipes = irishList
    private val italianRecipes = italianList
    private val greekRecipes = greekList

    fun getAllRecipes() : List<Recipe> {
        return italianRecipes +
                greekRecipes +
                irishRecipes +
                frenchRecipes
    }
}

private object AsiaRecipes {
    private val chineseRecipes = chineseList
    private val indianRecipes = indianList
    private val japaneseRecipes = japaneseList
    private val koreanRecipes = koreanList
    private val seaRecipes = seaList

    fun getAllRecipes() : List<Recipe>
    {
        return chineseRecipes +
                indianRecipes +
                japaneseRecipes +
                koreanRecipes +
                seaRecipes
    }
}

private object NorthAmericaRecipes {
    private val americanRecipes = americanList
    private val mexicanRecipes = mexicanList

    fun getAllRecipes() : List<Recipe>
    {
     return americanRecipes +
            mexicanRecipes
    }
}

private object SouthAmericaRecipes {

    private val brazilianRecipes = brazilianList

    fun getAllRecipes() : List<Recipe>
    {
        return brazilianRecipes
    }
}

private object MiddleEastRecipes {

    private val palestineRecipes = palestineList

    fun getAllRecipes() : List<Recipe>
    {
        return palestineRecipes
    }

}

private object AfricaRecipes {

    fun getAllRecipes() : List<Recipe>
    {
        return listOf()
    }
}